/*****************************************************************************/
/*****************************************************************************/
/**                                                                         **/
/**  Antenna Visualization Toolkit                                          **/
/**                                                                         **/
/**  Copyright (C) 1998 Adrian Agogino, Ken Harker                          **/
/**  Copyright (C) 2005 Joop Stakenborg                                     **/
/**                                                                         **/
/*****************************************************************************/
/*****************************************************************************/

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef VIS_FIELD_H
#define VIS_FIELD_H

#include "MyTypes.h"
#include "ant.h"
#include <GL/gl.h>
#include <GL/glu.h>


/*****************************************************************************/
/*****************************************************************************/
/**                                                                         **/
/**                             Definitions                                 **/
/**                                                                         **/
/*****************************************************************************/
/*****************************************************************************/


#define  MAX_ANTENNAS  5
#define  LINEAR        0
#define  RIGHT         1
#define  LEFT          2

 
/*****************************************************************************/
/*****************************************************************************/
/**                                                                         **/
/**                         Function Prototypes                             **/
/**                                                                         **/
/*****************************************************************************/
/*****************************************************************************/


void    PlotPoint(GLfloat, GLfloat, GLfloat);

void    DrawRFPowerDensityPoints(Ant *);
void    DrawPolarizationSensePoints(Ant *);
void    DrawPolarizationTiltPoints(Ant *);
void    DrawShowNullsPoints(Ant *);
void    DrawAxialRatioPoints(Ant *);

void    DrawRFPowerDensitySurface(Ant *);
void    DrawPolarizationSenseSurface(Ant *);
void    DrawPolarizationTiltSurface(Ant *);
void    DrawAxialRatioSurface(Ant *);
void    DrawShowNullsSurface(Ant *);

void    DrawRFPowerDensitySphere(Ant *);
void    DrawPolarizationSenseSphere(Ant *);
void    DrawPolarizationTiltSphere(Ant *);
void    DrawAxialRatioSphere(Ant *);
void    DrawShowNullsSphere(Ant *);


#endif


/*****************************************************************************/
/*****************************************************************************/
/**                                                                         **/
/**                           End of VisField.h                             **/
/**                                                                         **/
/*****************************************************************************/
/*****************************************************************************/
